<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: EventAction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EventAction Class Reference</h1><!-- doxytag: class="EventAction" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every event, using functions inherited from G4UserEventAction. (An Event covers everything happening when the particle gun is fired once.) It uses the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> to obtain the data from the GODDeSS objects.  
</p>

<p><a href="classEventAction-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEventAction.html#a36838174a460fe80e9a3b2b88f8fd91a">EventAction</a> (<a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *simulationMessenger)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEventAction.html#a59e7d929a8417ff6ba6d06b6c665bb25">~EventAction</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEventAction.html#a367abec1f640a4354f9b69e2e36e015d">BeginOfEventAction</a> (const G4Event *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEventAction.html#acbb14da7b112e47ec22a253d4aa7dd4f">EndOfEventAction</a> (const G4Event *)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classEventAction.html#a0ed0ca1bf3b9ce6a39ea32b62415608a">saveDataToControlFile</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a36838174a460fe80e9a3b2b88f8fd91a"></a><!-- doxytag: member="EventAction::EventAction" ref="a36838174a460fe80e9a3b2b88f8fd91a" args="(SimulationMessenger *simulationMessenger)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EventAction::EventAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *&nbsp;</td>
          <td class="paramname"> <em>simulationMessenger</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>simulationMessenger</em>&nbsp;</td><td>class storing and providing variables which are needed in different parts of the simulation. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a59e7d929a8417ff6ba6d06b6c665bb25"></a><!-- doxytag: member="EventAction::~EventAction" ref="a59e7d929a8417ff6ba6d06b6c665bb25" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EventAction::~EventAction </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a367abec1f640a4354f9b69e2e36e015d"></a><!-- doxytag: member="EventAction::BeginOfEventAction" ref="a367abec1f640a4354f9b69e2e36e015d" args="(const G4Event *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EventAction::BeginOfEventAction </td>
          <td>(</td>
          <td class="paramtype">const G4Event *&nbsp;</td>
          <td class="paramname"> <em>theEvent</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that will be called by Geant4 at the beginning of each event. </p>

</div>
</div>
<a class="anchor" id="acbb14da7b112e47ec22a253d4aa7dd4f"></a><!-- doxytag: member="EventAction::EndOfEventAction" ref="acbb14da7b112e47ec22a253d4aa7dd4f" args="(const G4Event *)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EventAction::EndOfEventAction </td>
          <td>(</td>
          <td class="paramtype">const G4Event *&nbsp;</td>
          <td class="paramname"> <em>theEvent</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that will be called by Geant4 at the end of each event. </p>

</div>
</div>
<a class="anchor" id="a0ed0ca1bf3b9ce6a39ea32b62415608a"></a><!-- doxytag: member="EventAction::saveDataToControlFile" ref="a0ed0ca1bf3b9ce6a39ea32b62415608a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void EventAction::saveDataToControlFile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><p>This has to be the first entry!!!</p>
<p>This has to come before productionMechanism and initialEnergy!!! </p>
</p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 30 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
